Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

Environment:

Ubuntu 12.4 Postgresql 9.1.4 PostGIS 2.0.1 Latest Nominatim installation instructions posted at http://wiki.openstreetmap.org/wiki/Nominatim/Installation

The installation is failing with (command built by the Nominatim php build script):

/osm2pgsql/osm2pgsql -lsc -O gazetteer --hstore -C 1100 -d nominatim /home/user/osm_data/central-america.osm

The -l tag is causing the following error:

Projection code failed to initialise

osm2pgsql SVN version 0.80.0 (64bit id space)

ERROR: Error executing external command: /home/user/Nominatim/osm2pgsql/osm2pgsql -lsc -O gazetteer --hstore -C 1059 -d nominatim /home/user/osm_data/central-america.osm.pbf

In trying to troubleshoot, where is the -l tag pulling the projection code from? I can get the import to run without the -l but the import later fails with an SRID error which I can only suppose results from this initial error.

Can anyone enlighten me on what I should be looking at to fix the issue?

Thanks in advance.

share|improve this question
    
You might want to accept your own answer so that others will know that the issue has been resolved. –  R.K. Oct 20 '12 at 17:00
add comment

1 Answer 1

Found a discussion about a similar problem at http://web.archiveorange.com/archive/v/wQWIbp8uENgQyNoCJGQz. Even though the discussion happened several years ago the information provided to troubleshoot is still relevant.

In doing some of the troubleshooting listed in this discussion I was able to identify and resolve the problem.

Thanks to Jon Burgess for providing the level of detail that he did in that discussion.

JAM

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.